@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
}


body {
    font-family: 'Roboto', sans-serif;
    min-height: 100vh;
    background: linear-gradient(rgba(223, 245, 253, 0.5), rgba(89, 185, 217, 0.689));
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding-top: 70px;
    position: relative;
}

/* BOTÓN VOLVER ARRIBA A LA IZQUIERDA */

.Bttn_Volver {
    position: absolute;
    top: 20px;
    left: 20px;
}

.Bttn_Volver button {
    padding: 10px 18px;
    border-radius: 6px;
    border: none;
    background-color: rgba(35, 129, 184, 0.8);
    color: white;
    font-weight: 600;
    cursor: pointer;
}

/* FORMULARIO CENTRADO */


.formulario {
    width: 100%;
    display: flex;
    justify-content: center;
}

.contenido {
    width: 55rem;
    max-width: 100%;
    padding: 2rem;
    border-radius: 10px;
    background-color: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    flex-direction: row;

}


h2 {
    font-size: 35px;
    text-align: center;
    padding-bottom: 15px;
    color: black;
}

/* INPUTS */

.input-box {
    margin: 20px 0;
    font-weight: 600;
    color: #000;
    width: 100%;
}

.input-box input {
    width: 100%;
    height: 45px;
    background: transparent;
    border: 2px solid rgb(149, 209, 224);
    border-radius: 4px;
    padding-left: 8px;
    font-size: 16px;
}

.input-box label {
    margin-bottom: 5px;
    display: block;
}

/* BOTÓN CREAR */
.bttn {
    width: 100%;
    height: 45px;
    background-color: #fff;
    border: none;
    border-radius: 40px;
    margin-top: 10px;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    color: rgb(4, 148, 196);
}

/* LINK LOGIN */

.registrar-link {
    text-align: center;
    margin-top: 20px;
}

.registrar-link p a {
    color: #fff;
    font-weight: 600;
}

.registrar-link p a:hover {
    text-decoration: underline;
}
.derecha{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.grupo-campos {
    display: flex;
    justify-content: space-between;
    gap: 50px;
    margin-top: 10px;
    width: 100%;
}

/* CADA COLUMNA */
.izquierda,
.derecha {
    width: 48%;
    display: flex;
    flex-direction: column;
}

/* Ajustes para que los input-box se vean iguales */
.izquierda .input-box,
.derecha .input-box {
    margin: 15px 0;
}

/* BOTÓN CENTRADO */
.bttn {
    width: 50%;
    margin: 20px auto 5px auto;
    display: block;
}
/* ----------- ALERTAS ----------- */
.alert {
    padding: 20px;
    margin-bottom: 15px;
    text-align: center;
}

.alert-success {
    background-color: #d4edda;
    color: #215a24;
    border-radius: 5px;
}

.alert-danger {
    background-color: #f8d7da;
    color: #721c24;
    border-radius: 5px;
}

.alert-warning {
    background-color: #fff3cd;
    color: #866404;
    border-radius: 5px;
}

.alert-info {
    background-color: #d1ecf1;
    color: #0c5460;
    border-radius: 5px;
}

.alert-primary {
    background-color: #cce5ff;
    color: #004085;
    border-radius: 5px;
}

/* BOTÓN VOLVER ARRIBA A LA IZQUIERDA de otrO FORMULARIO este css*/

.Bttn_Volver {
    position: absolute;
    top: 20px;
    left: 20px;
}

.Bttn_Volver button {
    padding: 10px 18px;
    border-radius: 6px;
    border: none;
    background-color: rgba(35, 129, 184, 0.8);
    color: white;
    font-weight: 600;
    cursor: pointer;
}



/* RESPONSIVE PARA QUE SE PONGAN EN UNA SOLA COLUMNA EN MÓVILES */
@media (max-width: 600px) {

    .contenido{
        margin-left: 10%;
        margin-right: 10%;
        margin-bottom: 10%;
    }
	.contenido-login{
        margin-left: 10%;
        margin-right: 10%;
        margin-bottom: 10%;
    }
    .grupo-campos {
        flex-direction: column;
        gap: 0;
    }

    .izquierda,
    .derecha {
        width: 100%;
    }

    .bttn {
        width: 100%;
    }
}
@media (min-width: 601px) and (max-width: 900px) {
    .contenido-login{
        align-items: center;
        margin-left: 10%;
        margin-right: 10%;
        margin-bottom: 10%;
    }
.contenido{
        align-items: center;
        margin-left: 10%;
        margin-right: 10%;
        margin-bottom: 10%;
    }
    .grupo-campos {
        flex-direction: row;
        gap: 15px;
    }

    .izquierda,
    .derecha {
        width: 48%;
    }

    .bttn {
        width: 60%;
    }
}

/* Para computadoras grandes (>900px) */
@media (min-width: 901px) {

    .grupo-campos {
        flex-direction: row;
        gap: 20px;
    }

    .izquierda,
    .derecha {
        width: 48%;
    }

    .bttn {
        width: 50%;
    }
}
